qpid::framing::SequenceSet Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends
qpid::framing::SequenceSet Class Reference

`#include <qpid/framing/SequenceSet.h>`

List of all members.

## Public Types
typedef iterator | const_iterator
typedef Ranges::const_iterator | RangeIterator
## Public Member Functions
| SequenceSet ()
| SequenceSet (const RangeSet< SequenceNumber > &r)
| SequenceSet (const SequenceNumber &s)
| SequenceSet (const SequenceNumber &start, const SequenceNumber finish)
void | encode (Buffer &buffer) const
void | decode (Buffer &buffer)
uint32_t | encodedSize () const
bool | contains (const SequenceNumber &s) const
void | add (const SequenceNumber &s)
void | add (const SequenceNumber &start, const SequenceNumber &finish)
void | add (const SequenceSet &set)
void | remove (const SequenceNumber &s)
void | remove (const SequenceNumber &start, const SequenceNumber &finish)
void | remove (const SequenceSet &set)
template<class T >
void | for_each (T &t) const
template<class T >
void | for_each (const T &t) const
bool | contiguous () const
bool | contains (const T &t) const
bool | contains (const Range< T > &) const
Range< T > | toRange () const
bool | operator== (const RangeSet< T > &) const
void | addRange (const Range< T > &)
void | addSet (const RangeSet< T > &)
RangeSet< T > & | operator+= (const T &t)
RangeSet< T > & | operator+= (const Range< T > &r)
RangeSet< T > & | operator+= (const RangeSet< T > &s)
void | removeRange (const Range< T > &)
void | removeSet (const RangeSet< T > &)
RangeSet< T > & | operator-= (const T &t)
RangeSet< T > & | operator-= (const Range< T > &r)
RangeSet< T > & | operator-= (const RangeSet< T > &s)
T | front () const
T | back () const
iterator | begin () const
iterator | end () const
RangeIterator | rangesBegin () const
RangeIterator | rangesEnd () const
size_t | rangesSize () const
uint32_t | span () const
size_t | size () const
bool | empty () const
void | clear ()
Range< T > | rangeContaining (const T &) const
| Return the largest contiguous range containing x.
void | serialize (S &s)
void | encode (S &s) const
void | decode (S &s)
## Friends
std::ostream & | operator<< (std::ostream &, const SequenceSet &)

## Member Typedef Documentation

typedef iterator qpid::RangeSet::const_iterator`[inherited]`

Definition at line 130 of file RangeSet.h.

typedef Ranges::const_iterator qpid::RangeSet::RangeIterator`[inherited]`

Definition at line 168 of file RangeSet.h.

## Constructor & Destructor Documentation

qpid::framing::SequenceSet::SequenceSet | ( |  | ) | `[inline]`

Definition at line 34 of file SequenceSet.h.

qpid::framing::SequenceSet::SequenceSet | ( | const RangeSet< SequenceNumber > & | r | ) | `[inline]`

Definition at line 35 of file SequenceSet.h.

qpid::framing::SequenceSet::SequenceSet | ( | const SequenceNumber & | s | ) | `[inline]`

Definition at line 37 of file SequenceSet.h.

qpid::framing::SequenceSet::SequenceSet | ( | const SequenceNumber & | start,
|  | const SequenceNumber | finish
| ) |  | `[inline]`

Definition at line 38 of file SequenceSet.h.

## Member Function Documentation

void qpid::framing::SequenceSet::add | ( | const SequenceNumber & | s | ) |

void qpid::framing::SequenceSet::add | ( | const SequenceNumber & | start,
|  | const SequenceNumber & | finish
| ) |  |

void qpid::framing::SequenceSet::add | ( | const SequenceSet & | set | ) |

void qpid::RangeSet::addRange | ( | const Range< T > & |  | ) | `[inherited]`

void qpid::RangeSet::addSet | ( | const RangeSet< T > & |  | ) | `[inherited]`

T qpid::RangeSet::back | ( |  | ) | const`[inline, inherited]`

Definition at line 161 of file RangeSet.h.

iterator qpid::RangeSet::begin | ( |  | ) | const`[inherited]`

void qpid::RangeSet::clear | ( |  | ) | `[inline, inherited]`

Definition at line 178 of file RangeSet.h.

bool qpid::framing::SequenceSet::contains | ( | const SequenceNumber & | s | ) | const

bool qpid::RangeSet::contains | ( | const T & | t | ) | const`[inherited]`

bool qpid::RangeSet::contains | ( | const Range< T > & |  | ) | const`[inherited]`

bool qpid::RangeSet::contiguous | ( |  | ) | const`[inline, inherited]`

Definition at line 136 of file RangeSet.h.

void qpid::framing::SequenceSet::decode | ( | Buffer & | buffer | ) |

void qpid::RangeSet::decode | ( | S & | s | ) | `[inline, inherited]`

Definition at line 187 of file RangeSet.h.

bool qpid::RangeSet::empty | ( |  | ) | const`[inline, inherited]`

Definition at line 177 of file RangeSet.h.

void qpid::framing::SequenceSet::encode | ( | Buffer & | buffer | ) | const

void qpid::RangeSet::encode | ( | S & | s | ) | const`[inline, inherited]`

Definition at line 186 of file RangeSet.h.

uint32_t qpid::framing::SequenceSet::encodedSize | ( |  | ) | const

iterator qpid::RangeSet::end | ( |  | ) | const`[inherited]`

template<class T >

void qpid::framing::SequenceSet::for_each | ( | T & | t | ) | const`[inline]`

Definition at line 53 of file SequenceSet.h.

template<class T >

void qpid::framing::SequenceSet::for_each | ( | const T & | t | ) | const`[inline]`

Definition at line 58 of file SequenceSet.h.

T qpid::RangeSet::front | ( |  | ) | const`[inline, inherited]`

Definition at line 160 of file RangeSet.h.

RangeSet<T>& qpid::RangeSet::operator+= | ( | const T & | t | ) | `[inline, inherited]`

Definition at line 149 of file RangeSet.h.

RangeSet<T>& qpid::RangeSet::operator+= | ( | const Range< T > & | r | ) | `[inline, inherited]`

Definition at line 150 of file RangeSet.h.

References qpid::RangeSet::addRange().

RangeSet<T>& qpid::RangeSet::operator+= | ( | const RangeSet< T > & | s | ) | `[inline, inherited]`

Definition at line 151 of file RangeSet.h.

References qpid::RangeSet::addSet().

RangeSet<T>& qpid::RangeSet::operator-= | ( | const T & | t | ) | `[inline, inherited]`

Definition at line 156 of file RangeSet.h.

RangeSet<T>& qpid::RangeSet::operator-= | ( | const Range< T > & | r | ) | `[inline, inherited]`

Definition at line 157 of file RangeSet.h.

References qpid::RangeSet::removeRange().

RangeSet<T>& qpid::RangeSet::operator-= | ( | const RangeSet< T > & | s | ) | `[inline, inherited]`

Definition at line 158 of file RangeSet.h.

References qpid::RangeSet::removeSet().

bool qpid::RangeSet::operator== | ( | const RangeSet< T > & |  | ) | const`[inherited]`

Range<T> qpid::RangeSet::rangeContaining | ( | const T & |  | ) | const`[inherited]`

Return the largest contiguous range containing x.

Returns the empty range [x,x) if x is not in the set.

RangeIterator qpid::RangeSet::rangesBegin | ( |  | ) | const`[inline, inherited]`

Definition at line 169 of file RangeSet.h.

RangeIterator qpid::RangeSet::rangesEnd | ( |  | ) | const`[inline, inherited]`

Definition at line 170 of file RangeSet.h.

size_t qpid::RangeSet::rangesSize | ( |  | ) | const`[inline, inherited]`

Definition at line 171 of file RangeSet.h.

void qpid::framing::SequenceSet::remove | ( | const SequenceNumber & | s | ) |

void qpid::framing::SequenceSet::remove | ( | const SequenceNumber & | start,
|  | const SequenceNumber & | finish
| ) |  |

void qpid::framing::SequenceSet::remove | ( | const SequenceSet & | set | ) |

void qpid::RangeSet::removeRange | ( | const Range< T > & |  | ) | `[inherited]`

void qpid::RangeSet::removeSet | ( | const RangeSet< T > & |  | ) | `[inherited]`

void qpid::RangeSet::serialize | ( | S & | s | ) | `[inline, inherited]`

Definition at line 185 of file RangeSet.h.

size_t qpid::RangeSet::size | ( |  | ) | const`[inherited]`

uint32_t qpid::RangeSet::span | ( |  | ) | const`[inherited]`

Range<T> qpid::RangeSet::toRange | ( |  | ) | const`[inherited]`

Precondition:
  contiguous()

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const SequenceSet & |
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- qpid/framing/SequenceSet.h